// creator  : weidu.exe (version 23100)
// argument : _LOVE.DLG
// game		 : .
// source	 : ./override/_LOVE.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_LOVE~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from: 3.0
  SAY #83730 /* ~I am the warrior's madness
I curse him with trust and respect
I slow the blade in its course
By stealing his passion for blood
And offering a softer emotion in return~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #83731 /* ~Yet I thirst for more... Give me the sweet crimson drink of laughter and passion.~ */
  IF ~~ THEN DO ~SetGlobal("Love","GLOBAL",1)
~ UNSOLVED_JOURNAL #83732 /* ~The four warders

A strange apparition appeared to me.  This is what it had to say:

I am the warrior's madness
I curse him with trust and respect
I slow the blade in its course
By stealing his passion for blood
And offering a softer emotion in return
Yet I thirst for more... Give me the sweet crimson drink of laughter and passion.

I must pass these four warders to descend to the lower level.  I assume that one of them will have the wardstone required to operate this lift that they are guarding.  What does this warder thirst for?  What drink is commonly associated with passion, and where on this level would it make sense to find or make such a drink?  I must solve this riddle in order to pass.~ */ EXIT
END

IF ~PartyHasItem("_MISC1A")
Global("Avarice","GLOBAL",2)
Global("Pride","GLOBAL",2)
Global("Fear","GLOBAL",2)
~ THEN BEGIN 2 // from:
  SAY #83733 /* ~You have completed this riddle. You are worthy to pass through this portal, though I yet guard the key with my life.

I am LOVE. I must be murdered in this cursed place.~ */
  IF ~~ THEN DO ~TakePartyItem("_MISC1A")
AddexperienceParty(4000)
EraseJournalEntry(83715)
EraseJournalEntry(83720)
EraseJournalEntry(83727)
EraseJournalEntry(83732)
ForceSpell(Myself,LOVEM_CHANGE)
~ SOLVED_JOURNAL #83734 /* ~The four warders

I have finally completed the riddles of the four warders.  The last one, Love, carried the wardstone in its possession.  With the stone, the lift operates and can take me to the lower levels.~ */ EXIT
  IF ~Global("X#VicLove","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicLove","GLOBAL",1)~ EXTERN ~_VICONJ~ 58
END

IF ~Global("Love","GLOBAL",1)
!PartyHasItem("_MISC1A")
~ THEN BEGIN 3 // from:
  SAY #83724 /* ~You do not yet have what I require.~ */
  IF ~~ THEN GOTO 0
END

IF ~PartyHasItem("_MISC1A")
~ THEN BEGIN 4 // from:
  SAY #83735 /* ~You have what I require. Do first what my brothers ask of you. Then we may complete this riddle.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #98451 /* ~This wardstone assures your passage.~ */
  IF ~~ THEN DO ~TakePartyItem("_MISC1A")
AddexperienceParty(4000)
EraseJournalEntry(83715)
EraseJournalEntry(83720)
EraseJournalEntry(83727)
EraseJournalEntry(83732)
ForceSpell(Myself,LOVEM_CHANGE)
~ SOLVED_JOURNAL #83734 /* ~The four warders

I have finally completed the riddles of the four warders.  The last one, Love, carried the wardstone in its possession.  With the stone, the lift operates and can take me to the lower levels.~ */ EXIT
END
